<template>
  <rui-confirm-dialog v-if="showDialog"
                      message="Doing so will bind you forever with our service."
                      :rejectable="false"
                      @accept="accept" />

  <rui-button caption="Accept the terms" @click="showDialog = true" /> Result: {{ message }}
</template>

<script>
export default {
  data () {
    return {
      showDialog: false,
      message: '',
    }
  },
  methods: {
    accept () {
      this.showDialog = false
      this.message = 'You accepted'
    },
  },
}
</script>
